Perlanet::Trait::TemplateToolkit(3pm)

NAME
Perlanet::Trait::TemplateToolkit - render the feed via a Template Toolkit template

SYNOPSIS
   my $perlanet = Perlanet->new_with_traits(
     traits => [ 'Perlanet::Trait::TemplateToolkit' ]
   );

   $perlanet->run;

DESCRIPTION
Renders the aggregated set of feeds via a Template Toolkit template.

ATTRIBUTES

  template_input
The Template Toolkit template to use as input

  template_output
The path to save the resulting output to

TEMPLATE TOOLKIT STASH
The following are exported into your template:

  feed
A Perlanet::Feed that represents the aggregation of all posts

AUTHOR
Oliver Charles, <oliver.g.charles@googlemail.com>

COPYRIGHT AND LICENSE
Copyright (c) 2010 by Magnum Solutions Ltd.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.